# Travail Pratique 4
Un travail de Alexis Durgnat, Michael El Kharroubi, Quentin Leblanc et Théo Pirkl


## Description
Ce travail pratique consiste à proposer une application de réseau social permettant de savoir qui prend
quel transport public. Certaines intégrations y seront ajoutées.

Voici un mockup de l'application : 
![alt text](app.png)

## Technique
Nous implémentons :
* L'API OpenData Transport [(disponible ici)](https://transport.opendata.ch)
* L'API Prévisions-Météo.ch [(disponible ici)](https://www.prevision-meteo.ch/uploads/pdf/recuperation-donnees-meteo.pdf)
* Une interface graphique avec JavaFX, liée à un WebEngine
* D'autres trucs (?)

## Intégration
Merci de suivre au possible le système suivant :
* On ne push jamais directement sur master
* On ne push sur dev que si nécessaire
* On crée une branche sur la branche devel pour les fonctionnalités à implémenter


Schéma des branches (exemple) :
* gui —> devel —> master
* opendata-transport —> devel —> master

Lors du merge :
* gui —> devel et opendata-transport —> devel
* devel -> master (une fois que ca fonctionne)