package ch.hepia.ui;

import javafx.scene.control.Alert;

/**
 * Utilities for reusing UI code.
 */
public class AlertUtils {
    /**
     * Shows a dialog box.
     * @param type The dialog box type
     * @param title The dialog box title
     * @param header The dialog box header
     * @param content The dialog box content
     */
    public static void dialog(Alert.AlertType type, String title, String header, String content){
        Alert alert = new Alert(type);
        alert.setTitle(title);
        alert.setHeaderText(header);
        alert.setContentText(content);
        alert.show();
    }
}
